function [CaEGTA,beta_CaEGTA] = CaeBuffering_Equilb(Ca,Mg,H)

% Calculation of Kapp_CaEGTA at given pH and Mg2+
pH = -log10(H);       % pH of the medium
pK_HEGTA  = 9.58;     % HEGTA(3-)  = H(+) + EGTA(4-)
pK_H2EGTA = 8.96;     % H2EGTA(2-) = H(+) + HEGTA(3-)
pK_MgEGTA = 5.21;     % MgEGTA(2-) = Mg(2+) + EGTA(4-)
pK_CaEGTA = 10.97;    % CaEGTA(2-) = Ca(2+) + EGTA(4-)
P_HMgEGTA = 1 + 10^(-pH+pK_HEGTA) + 10^(-2*pH+pK_HEGTA+pK_H2EGTA) + Mg*10^(pK_MgEGTA);
Kapp_CaEGTA = 10^(-pK_CaEGTA)*P_HMgEGTA;

% Compute Ca2+ bound EGTA concentration and buffering capacity
EGTAtot = 1.0e-3; % Total EGTA concentration
CaEGTA = EGTAtot*Ca/(Kapp_CaEGTA + Ca);  % Ca2+ bound EGTA concentration
EGTA = EGTAtot - CaEGTA;   % Free EGTA concentration
beta_CaEGTA = EGTAtot*Kapp_CaEGTA/(Kapp_CaEGTA + Ca)^2;
