function [dy1, dy2, dy3, J_RyR] = mRTC_model(Cax,Cae,Mge,dPsi,Pc1,Po1,Po2,fact)
global MV_Fact
% 
% We = MD_Fact/MV_Fact; % external water volume (ml buffer water / ml mito)
% Wm = 0.143/0.20; % mitochondrial water space (ml mito water / ml mito)
% Wx = 0.9*Wm;     % matrix water space (ml matrix water / ml mito)

P = Pc1 + Po1 + Po2;
Pc2 = 1 - P;
K_M = 200e-6; n_M = 1.1;
f_Mg = 1./(1 + (Mge/K_M).^n_M);

% Thermodynamics constants
Z_Ca = 2;        % Valency of Ca(uniteless)
F = 96484.6;     % Faraday's constant(J*V^-1*mol^-1)(Coul*mol^-1)
R = 8.314;       % Universal gas constant(J*mol^-1*K^-1)
T = 298;         % Temperature(K)
FRT = F/(R*T);   % V^-1 
dPhi = Z_Ca*dPsi*FRT; % Nondimensional RaM_parameter

%% RyR Flux 
k_a = 28.8; k_b = 385.9; k_c = f_Mg*0.1;% s^-1
ka = 1500; % uM^-4 s^-1
kb = 1500; % uM^-3 s^-1
kc = (1/1)*1.75; % s^-1
gRyR = 1*fact(1)/MV_Fact; % s^-1
KCa_RyR = 7*fact(2); % uM

num = gRyR*(Po1 + Po2).*(exp(dPhi/2)*Cae/KCa_RyR - exp(-dPhi/2)*Cax/KCa_RyR); % mol per second per mg mito protein
den = 1 + Cae/KCa_RyR + Cax/KCa_RyR;

J_RyR = num./den;


dy1 = -ka*(Cae.^4).*Pc1 + k_a*Po1;
dy2 = ka*(Cae.^4).*Pc1 - k_a*Po1 - kb*(Cae.^3).*Po1 + k_b*Po2 - kc*Po1 + k_c*Pc2;
dy3 = kb*(Cae.^3).*Po1 - k_b*Po2;
end