%% 
clear all
global Ca_add t_add
t_add = 10;
Ca = [0.25 0.5 1.0];
Mge = [0 0.25e-3 1e-3]; 
n_eq = 2;
options_ode = odeset('Events',@Ca_addition,'RelTol',1e-4, 'AbsTol',1e-8, 'NonNegative',(1:n_eq), ...
'MaxStep',1e-1, 'InitialStep',5e-2, 'MaxOrder',5, 'BDF','on');
figure(2); clf; set(figure(2),'Units','inches','Position',[0.5 0.5 7 8]);
aL = [0.4 0.6 1.1 5.2];
ca_labels = {'A','B','C'}; yloc = [0.36 0.55 1.00 4.75];
po_labels = {'D','E','F'}; 
ls = {'-k','-b','-m'};
YTICK = {[0 0.2 0.4], [0 0.3 0.6], [0 0.5 1.0], [0 2.5 5]};
for j=1:3
    Ca_add = Ca(j);
    for i=1:3
        Mg = Mge(i);
        [T1, x1] = ode15s(@KeizerLevine,[-20 t_add],[0.1*ones(2,1); 0.9; 0.0; 0],options_ode,Mg);
        x0 = x1(end,:);
        x0(1,2) = Ca_add;
        [T2, x2] = ode15s(@KeizerLevine,[t_add 20],x0,options_ode,Mg);
        T = [T1;T2]; Y = [x1; x2];
        subplot(3,2,2*j-1),plot(T,Y(:,2),'k','linewidth',1.5),axis([5 20 0 aL(j)]); ylabel('[Ca^{2+}]_e ({\mu}M)'); 
        text(5.2,yloc(j),ca_labels{j},'FontSize',16);
        if j == 4; xlabel('Time (sec)'); end;
        set(gca, 'LineWidth',1.5,'FontSize',14,'ytick',YTICK{j});
        h = subplot(3,2,2*j); plot(T,Y(:,4)+Y(:,5),ls{i},'linewidth',1.5),axis([5 20 0 1]); hold on; 
        ylabel('P_o');
        if j == 4; xlabel('Time (sec)'); end;
        text(5.2,0.91,po_labels{j},'FontSize',16);
        set(gca, 'LineWidth',1.5,'FontSize',14);
    end
        hleg11 = legend(h,'0 mM Mg^{2+}','0.25 mM Mg^{2+}','1.0 mM Mg^{2+}');
        set(hleg11, 'Position', [.45,.79,.15,.35],'Box','off','fontsize',15,'Orientation','horizontal');

end